@import 'styles/main.scss';

.field {
  &__label {
    display: block;
    margin-bottom: 8px;
  }

  &__input {
    font: inherit;
    
    width: 100%;
    padding: 12px;
    background: $background-input;
    border-radius: 8px;
    border: none;
    outline: none;
    border: 1px solid $background-dark-white;

    font-weight: 400;
    font-size: 16px;
    line-height: 20px;

    color: $text-primary-2;

    &::placeholder {
      transition: 0.3s ease all;
      color: $text-light;
    }

    &:focus{
      &::placeholder {
        opacity: 0;
        transform: translateX(4px);
      }
    }

    &--error {
      border-color: $error;
    }
  }

  textarea {
    min-height: 120px;
    min-width: 100%;
    max-width: 100%;
  }
}